Class Index | File Index

## Classes

- _global_
- AccessController
- APDU
- AuthenticationObject
- CAConnection
- ChipAuthentication
- ChipAuthenticationDomainParameterInfo
- ChipAuthenticationInfo
- ChipAuthenticationPublicKeyInfo
- CommandInterpreter
- CRLGenerator
- CVC
- CVCCA
- CVCertificateStore
- DataUnitAPDU
- DF
- DKEK
- DNEncoder
- EAC20
- EAC2CVCertificateGenerator
- EAC2CVRequestGenerator
- FCP
- File
- FileEncryptor
- FileSelector
- FileSystemIdObject
- FSNode
- GPSCP03
- HSMCVCertificateStore
- HSMKeyStore
- LinearEF
- ManagePKA
- P11CVCertificateStore
- PACE
- PACEDomainParameterInfo
- PACEInfo
- PaperKeyEncoding
- PKCS10Generator
- PublicKeyFile
- PublicKeyReference
- RAMClient
- RestrictedIdentificationDomainParameterInfo
- RestrictedIdentificationInfo
- SecureChannelHandler
- SecureMessagingCommandAPDUDecoder
- SecurityEnvironment
- SignatureKey
- SmartCardHSM
- SmartCardHSMCrypto
- SmartCardHSMInitializer
- SmartCardHSMKey
- SmartCardHSMKeySpecGenerator
- SmartCardHSMSymmetricKeySpecGenerator
- TransparentEF
- TrustAnchor
- X509CertificateGenerator
- X509CertificateIssuer
- X509CertificateStore
- X509Signer

# Class TransparentEF

Class implementing a transparent EF
Defined in: TransparentEF.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| TransparentEF(fcp, contents) Create a file system node that represents a transparent EF

Method Summary
Method Attributes | Method Name and Description
--- | ---
| readBinary(apdu, offset, length) Reads data from a transparent EF
| updateBinary(apdu, offset, data) Update data in transparent EF

Class Detail
TransparentEF(fcp, contents)
Create a file system node that represents a transparent EF

Parameters:
{FCP} fcp
  the FCP for this EF
{ByteString} contents
  the contents for this EF

Method Detail
{ByteString} readBinary(apdu, offset, length)
Reads data from a transparent EF

Parameters:
{APDU} apdu
  the APDU used for reading
{Number} offset
  the offset to read from
{Number} length
  the length in bytes or 0 for all in short APDU or 65536 for all in extended APDUs

Returns:
  the data read

updateBinary(apdu, offset, data)
Update data in transparent EF

Parameters:
{APDU} apdu
  the APDU used for updating
{Number} offset
  the offset to update
{ByteString} data
  the data to write into the EF

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Apr 30 2026 15:08:16 GMT+0200 (CEST)